List streaming pipeline definitions
curl --request GET \
--url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/streaming-pipelines \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/streaming-pipelines"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/streaming-pipelines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"advancedProperties": {
"max.batch.size": 10000
},
"agentId": "12345678-1234-1234-1234-123456789012",
"name": "A Streaming Pipeline",
"projectId": "12345678-1234-1234-1234-123456789012",
"streamingPipelineId": "12345678-1234-1234-1234-123456789012",
"streamingSource": {
"connection": {
"host": "127.0.0.1",
"password": {
"secretName": "the-secret-name",
"secretKey": "the-secret-key",
"secretLocation": "the-secret-location"
},
"port": 8471,
"username": "db2_streaming_user",
"jdbcProperties": {
"date format": "ymd"
}
},
"tables": [
{
"schema": "SCHEMA_A",
"table": "TABLE_A"
}
]
},
"streamingTarget": {
"accountKey": {
"secretName": "the-secret-name",
"secretKey": "the-secret-key",
"secretLocation": "the-secret-location"
},
"accountName": "abs-account-name",
"container": "streaming-container",
"prefix": "streaming-prefix"
}
}
],
"size": 50,
"total": 472
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}Streaming Pipelines
List streaming pipeline definitions
Gets a page of streaming pipeline definitions in the account and project
GET
/
v1
/
projects
/
{projectId}
/
streaming-pipelines
List streaming pipeline definitions
Authorizations
a valid bearer token
Path Parameters
The ID of the project in which to list the streaming pipeline definitions
Query Parameters
Response
A page of streaming pipeline definitions. Possibly empty if no definitions exist in the account and project
Was this page helpful?
⌘I
